
Foreman - Bug #2216

secret_token is generated with wrong file permissions

02/18/2013 02:45 AM - Jan Vansteenkiste

Status: Rejected   

Priority: Normal   

Assignee:    

Category: Packaging   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

After install and first access, I get 

Permission denied - /usr/share/foreman/tmp/secret_token

History

#1 - 02/18/2013 03:31 AM - Dominic Cleal

- Category set to Packaging

How did you install Foreman, which packages?  Was the file root-owned rather than foreman?

#2 - 02/18/2013 04:28 AM - Jan Vansteenkiste

Installed Packages

foreman.noarch                                                   1.1stable-3.el6                                            @foreman

Files were root-owned.

#3 - 02/18/2013 08:34 AM - Dominic Cleal

- Status changed from New to Feedback

This must be something running Foreman/Rails as root during installation, but I can't see what it would be.  I also haven't run into this on my

foreman-installer tests.

Could you check your install procedure and see if you're running something (e.g. a db:migrate) as root?

#4 - 02/18/2013 09:56 AM - Greg Sutcliffe

does $approot/tmp exist? I seem to recall filing a bug about getting that error if $approot/tmp is missing....

#5 - 02/18/2013 09:59 AM - Dominic Cleal

Greg Sutcliffe wrote:

does $approot/tmp exist? I seem to recall filing a bug about getting that error if $approot/tmp is missing....

 #2196, looks like it was included in the version that Jan's running.

#6 - 04/02/2013 05:10 AM - Jan Vansteenkiste

Is this something that will be fixed in initializers/secret_token.rb or should I fix the permissions using puppet after the initial installation?

#7 - 04/02/2013 05:20 AM - Dominic Cleal

- Status changed from Feedback to Rejected

It was a dbmigrate in Jan's manifests running as root, not foreman.
